Package: org.grails.databinding

## [Java] Interface TypedStructuredBindingEditor<T>

- org.grails.databinding.StructuredBindingEditor

- All Superinterfaces:
    BindingHelper, StructuredBindingEditor

  See Also:
    StructuredBindingEditor
  Since:
    2.3.4

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `java.lang.Class<T>` | `getTargetType()` @return the type that this editor is used for binding to

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface StructuredBindingEditor` | `getPropertyValue`
    `interface BindingHelper` | `getPropertyValue`

- - ### Method Detail

    - #### public java.lang.Class<T> getTargetType()

      Returns:
        the type that this editor is used for binding to